hakyll-4.9.8.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Web.Pandoc.FileType

Description

A module dealing with pandoc file extensions and associated file types

Synopsis

- data FileType
  - = Binary
  - | Css
  - | DocBook
  - | Html
  - | LaTeX
  - | LiterateHaskell FileType
  - | Markdown
  - | MediaWiki
  - | OrgMode
  - | PlainText
  - | Rst
  - | Textile
- fileType :: FilePath -> FileType
- itemFileType :: Item a -> FileType

# Documentation

data FileType #

Datatype to represent the different file types Hakyll can deal with by default

Constructors

Binary |
Css |
DocBook |
Html |
LaTeX |
LiterateHaskell FileType |
Markdown |
MediaWiki |
OrgMode |
PlainText |
Rst |
Textile |

Instances

Eq FileType # |
Methods (==) :: FileType -> FileType -> Bool # (/=) :: FileType -> FileType -> Bool #
Ord FileType # |
Methods compare :: FileType -> FileType -> Ordering # (<) :: FileType -> FileType -> Bool # (<=) :: FileType -> FileType -> Bool # (>) :: FileType -> FileType -> Bool # (>=) :: FileType -> FileType -> Bool # max :: FileType -> FileType -> FileType # min :: FileType -> FileType -> FileType #
Read FileType # |
Methods readsPrec :: Int -> ReadS FileType # readList :: ReadS [FileType] # readPrec :: ReadPrec FileType # readListPrec :: ReadPrec [FileType] #
Show FileType # |
Methods showsPrec :: Int -> FileType -> ShowS # show :: FileType -> String # showList :: [FileType] -> ShowS #

fileType :: FilePath -> FileType #

Get the file type for a certain file. The type is determined by extension.

itemFileType :: Item a -> FileType #

Get the file type for the current file